let data_log;
let hPunkte = []; // das Array der Helligkeitspunkte

function preload() {
    // einlesen der Werte in die Variable "data_log"
    // Relative Pfade beachten!
    data_log = loadTable('data_log.csv');
}

function setup() {
    const meinCanvas = createCanvas(950, 460);
    meinCanvas.parent('canvasContainer');

    background(240);

    // Roboto als lokaler Webfont eingebunden!
    textFont('roboto');
    textSize(16);

    noStroke();

    // wieviele Zeilen enthält die Datei "data_log.csv"
    let anzahl = data_log.getRowCount();

    // Überschrift
    fill(0);
    text(`Tabellenwerte als Graph: Die Tabelle enthält ${anzahl} Datensätze`, 24, 30);

    // liest alle Helligkeitswerte in das Array ein
    // diese befinden sich in jeder Zeile an der 4. Stelle
    // z.B. "2019-05-27,10:30:01,Helligkeit,144"
    // da hier bei Null angefangen wird zu zählen, hier "3" verwenden
    for (let i = 0; i < anzahl; i++) {
        hPunkte[i] = data_log.getNum(i, 3);
    }

    let b = 220; // Breite des Rechtecks
    let a = b + 10; // Abstand der Rechtecke

    // ==== Rechtecke, bei dem die Höhe dem Wert des jeweiligen Eintrags bei hPunkte entspricht ===

    // Rechteck mit Wert des Eintrags 0
    fill(255, 0, 0);
    rect(18, 50, b, hPunkte[0]);
    // Text-Ausgabe des Wertes
    fill(255);
    text(`Eintrag 0:\nHelligkeitswert: ${hPunkte[0]}`, 22, hPunkte[0] + 20);

    // Rechteck mit Wert des Eintrags 2
    fill(0, 255, 0);
    rect(18 + a, 50, b, hPunkte[2]);
    // Text-Ausgabe des Wertes
    fill(0);
    text(`Eintrag 2:\nHelligkeitswert: ${hPunkte[2]}`, 22 + a, hPunkte[2] + 20);

    // Rechteck mit Wert des Eintrags 4
    fill(0, 0, 255);
    rect(18 + a * 2, 50, b, hPunkte[4]);
    // Text-Ausgabe des Wertes
    fill(255);
    text(`Eintrag 4:\nHelligkeitswert: ${hPunkte[4]}`, 22 + a * 2, hPunkte[4] + 20);

    // Rechteck mit Wert des LETZTEN Eintrag
    fill('orange');
    rect(18 + a * 3, 50, b, hPunkte[anzahl - 1]);
    // Text-Ausgabe des Wertes
    fill(0);
    text(
        `Letzter Eintrag:\nHelligkeitswert: ${hPunkte[anzahl - 1]}`,
        22 + a * 3,
        hPunkte[anzahl - 1] + 20
    );
}
